nxt.http.callers

## Class SetPhasingOnlyControlCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<SetPhasingOnlyControlCall>
    - - nxt.http.callers.SetPhasingOnlyControlCall

-     public class SetPhasingOnlyControlCall
      extends CreateTransactionCallBuilder<SetPhasingOnlyControlCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SetPhasingOnlyControlCall` | `controlHolding(long controlHolding)`
    `SetPhasingOnlyControlCall` | `controlHolding(java.lang.String controlHolding)`
    `SetPhasingOnlyControlCall` | `controlMaxDuration(java.lang.String controlMaxDuration)`
    `SetPhasingOnlyControlCall` | `controlMaxFees(java.lang.String controlMaxFees)`
    `SetPhasingOnlyControlCall` | `controlMinBalance(long controlMinBalance)`
    `SetPhasingOnlyControlCall` | `controlMinBalanceModel(byte controlMinBalanceModel)`
    `SetPhasingOnlyControlCall` | `controlMinDuration(java.lang.String controlMinDuration)`
    `SetPhasingOnlyControlCall` | `controlQuorum(long controlQuorum)`
    `SetPhasingOnlyControlCall` | `controlVotingModel(byte controlVotingModel)`
    `SetPhasingOnlyControlCall` | `controlWhitelisted(java.lang.String... controlWhitelisted)`
    `static SetPhasingOnlyControlCall` | `create()`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, feeNQT, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, phased, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedFullHash, phasingLinkedFullHash, phasingMinBalance, phasingMinBalanceModel, phasingQuorum, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransactionFullHash, referencedTransactionFullHash, secretPhrase`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static SetPhasingOnlyControlCall create()

    - #### controlHolding

          public SetPhasingOnlyControlCall controlHolding(java.lang.String controlHolding)

    - #### controlHolding

          public SetPhasingOnlyControlCall controlHolding(long controlHolding)

    - #### controlQuorum

          public SetPhasingOnlyControlCall controlQuorum(long controlQuorum)

    - #### controlMinBalanceModel

          public SetPhasingOnlyControlCall controlMinBalanceModel(byte controlMinBalanceModel)

    - #### controlMaxFees

          public SetPhasingOnlyControlCall controlMaxFees(java.lang.String controlMaxFees)

    - #### controlMinDuration

          public SetPhasingOnlyControlCall controlMinDuration(java.lang.String controlMinDuration)

    - #### controlVotingModel

          public SetPhasingOnlyControlCall controlVotingModel(byte controlVotingModel)

    - #### controlMaxDuration

          public SetPhasingOnlyControlCall controlMaxDuration(java.lang.String controlMaxDuration)

    - #### controlMinBalance

          public SetPhasingOnlyControlCall controlMinBalance(long controlMinBalance)

    - #### controlWhitelisted

          public SetPhasingOnlyControlCall controlWhitelisted(java.lang.String... controlWhitelisted)